package adsrepository

import (
	"legalgo-BE-go/database"
	adsdomain "legalgo-BE-go/internal/domain/ads"
)

type accessor struct {
	db *database.DB
}

type Ads interface {
	Create(adsdomain.Ads) error
	GetAll() ([]adsdomain.AdsResponse, error)
	Update(adsdomain.Ads) error
	Delete(string) error
}

func New(
	db *database.DB,
) Ads {
	return &accessor{db}
}
